[SOLVED] OpenGL compatiblilty

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read how to get help
Post Reply
xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

[SOLVED] OpenGL compatiblilty

Post by xdicey »

Can anyone tell me if, based on these outputs, if my system is OpenGL 3.2 compatible? I'm trying to find out which Blender requirement my system meets, if any.
Blender requirements: https://www.blender.org/download/requirements/
I would like to I install Blender 2.78.tarball.bz2 https://www.blender.org/download/; is this advisable for Mint?

Thanks.

inxi -Fxz output

Code: Select all

 ~ $ inxi -Fxz
System:    Host: icymint Kernel: 4.4.0-38-generic x86_64 (64 bit, gcc: 4.8.4) 
           Desktop: Cinnamon 2.6.13  Distro: Linux Mint 17.2 Rafaela
Machine:   System: Dell product: Inspiron 2350 version: 00
           Mobo: Dell model: 0P4T42 version: A01 Bios: Dell version: A05 date: 01/03/2014
CPU:       Quad core Intel Core i7-4700MQ CPU (-HT-MCP-) cache: 6144 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 19155.6 
           Clock Speeds: 1: 2410.312 MHz 2: 2410.500 MHz 3: 2400.00 MHz 4: 2400.00 MHz 5: 2464.968 MHz 6: 2400.187 MHz 7: 2400.468 MHz 8: 2424.562 MHz
Graphics:  Card: Intel 4th Gen Core Processor Integrated Graphics Controller bus-ID: 00:02.0 
           X.Org: 1.15.1 drivers: ati,radeon,intel (unloaded: fbdev,vesa) Resolution: 1920x1080@60.0hz 
           GLX Renderer: Mesa DRI Intel Haswell Mobile GLX Version: 3.0 Mesa 10.1.3 Direct Rendering: Yes
Audio:     Card-1: Intel 8 Series/C220 Series High Definition Audio Controller driver: snd_hda_intel bus-ID: 00:1b.0 
           Card-2: Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller driver: snd_hda_intel bus-ID: 00:03.0 
           Sound: Advanced Linux Sound Architecture ver: k4.4.0-38-generic
Network:   Card-1: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter driver: ath9k bus-ID: 05:00.0
           IF: wlan0 state: down mac: <filter>
           Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller 
           driver: r8169 ver: 2.3LK-NAPI port: d000 bus-ID: 04:00.0
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: <filter>
           Card-3: Atheros usb-ID: 001-005
           IF: N/A state: N/A speed: N/A duplex: N/A mac: N/A
Drives:    HDD Total Size: 1000.2GB (4.0% used) 1: id: /dev/sda model: ST1000UM000 size: 1000.2GB 
Partition: ID: / size: 50G used: 19G (40%) fs: ext4 ID: /home size: 812G used: 19G (3%) fs: ext4 
           ID: swap-1 size: 12.80GB used: 0.00GB (0%) fs: swap 
RAID:      No RAID devices detected - /proc/mdstat and md_mod kernel raid module present
Sensors:   System Temperatures: cpu: 51.0C mobo: 27.8C gpu: N/A 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 250 Uptime: 4:36 Memory: 1357.0/11933.1MB Runlevel: 2 Gcc sys: 4.8.4 
           Client: Shell (bash 4.3.11) inxi: 1.9.17 
lspci output

Code: Select all

~ $ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller (rev 06)

00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)

00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)

00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05)

00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)

00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 05)

00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 05)

00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d5)

00:1c.2 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 (rev d5)

00:1c.3 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #4 (rev d5)

00:1c.4 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #5 (rev d5)

00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 05)

00:1f.0 ISA bridge: Intel Corporation HM87 Express LPC Controller (rev 05)

00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 05)

00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 05)

01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330] (rev ff)

03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader (rev 01)

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)

05:00.0 Network controller: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter (rev 01)
I tried checking these wikis but not so sure especially the AMD one.

ATI wiki: https://en.wikipedia.org/wiki/Radeon

Intel wiki: https://en.wikipedia.org/wiki/List_of_I ... sing_units; this one, if I'm reading it correctly says compatible with OpenGL 3.3 for Linux?
Last edited by xdicey on Sun Oct 16, 2016 8:43 pm, edited 1 time in total.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: OpenGL compatiblilty

Post by richyrich »

What does this terminal command give you ? :)

glxinfo | grep "OpenGL version"

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: OpenGL compatiblilty

Post by richyrich »

Instead of compiling it, why not use this PPA for version 2.78? Then you will get any Blender updates through Mint's Update Manager. 8)

https://launchpad.net/~thomas-schiex/+a ... tu/blender

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: OpenGL compatiblilty

Post by xdicey »

richyrich wrote:What does this terminal command give you ? :)

glxinfo | grep "OpenGL version"

Code: Select all

xdicey@icymint ~ $ glxinfo | grep "OpenGL version"
OpenGL version string: 3.0 Mesa 10.1.3
xdicey@icymint ~ $ 
What version is it then, 3.0?
Last edited by xdicey on Sun Oct 16, 2016 7:39 pm, edited 1 time in total.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: OpenGL compatiblilty

Post by xdicey »

richyrich wrote:Instead of compiling it, why not use this PPA for version 2.78? Then you will get any Blender updates through Mint's Update Manager. 8)

https://launchpad.net/~thomas-schiex/+a ... tu/blender
Thanks for pointing me to the PPA, rich. Far much easier as I was thinking of me and 'distance' in the learning curve re compiling.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: OpenGL compatiblilty

Post by richyrich »

Yes, version 3.0
I recently gave the following advice to another member, and just edited it to your situation . .

Another thing to check is to open the Mint Update Manager program > Edit > Preferences > Levels tab. Add a check to the level 4 and 5 to "Visible" only, and click the Apply button.
Then close the Preferences window, and click the Refresh button.

Does it now show any xorg, ati, radeon, intel or mesa updates?

PS: You can easily hide those levels again by reversing the above instructions.

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: OpenGL compatiblilty

Post by xdicey »

richyrich wrote:Yes, version 3.0
I recently gave the following advice to another member, and just edited it to your situation . .

Another thing to check is to open the Mint Update Manager program > Edit > Preferences > Levels tab. Add a check to the level 4 and 5 to "Visible" only, and click the Apply button.
Then close the Preferences window, and click the Refresh button.

Does it now show any xorg, ati, radeon, intel or mesa updates?

PS: You can easily hide those levels again by reversing the above instructions.
Oh yes. There are several Levels 4 and 5 update:

Level 4:
mesa
systemd
xserver-xorg-video-openchrome

Level 5:
base-files
linux (Linux Kernel Headers for development)
linux-firmware (Firmware for Linux kernes drivers)

I wrote all 6 'cause I'd like to ask, other than 'mesa', are there other(s) of these I should be installing?
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: OpenGL compatiblilty

Post by richyrich »

Well, Mesa is a very important upgrade for your OpenGL. You can click the checkbox beside it to upgrade.
I would ignore the others, and once you have upgraded Mesa, then you can go back into the Preferences and un-check the level 4,5 Visible checkboxes.
(I personally don't install any level 4 or 5 updates unless it is relevant to my hardware, and that it would help or fix something)

Good luck with Blender. :-)

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: OpenGL compatiblilty

Post by xdicey »

Awesome! Thanks rich.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: [SOLVED] OpenGL compatiblilty

Post by richyrich »

Did you run that opengl terminal command again to see if it upgraded your version ? Just curious . . :D

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: [SOLVED] OpenGL compatiblilty

Post by xdicey »

I did but it returned the same info as before. I assume since I saw the updates in the 'update history' as well because the change is at the end, e.g.
current ver 10.1.3-0ubuntu0.4; new version is 10.1.3-0ubuntu0.6. Is there a command that will show the full string?

Code: Select all

xdicey@icymint ~ $ glxinfo | grep "OpenGL version"
OpenGL version string: 3.0 Mesa 10.1.3
xdicey@icymint ~ $ 
mesa along with 4 'iibs...' were installed.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
richyrich
Level 19
Level 19
Posts: 9061
Joined: Mon May 04, 2009 8:31 pm

Re: [SOLVED] OpenGL compatiblilty

Post by richyrich »

current ver 10.1.3-0ubuntu0.4; new version is 10.1.3-0ubuntu0.6
Looks more like a minor bug fix update than a major opengl upgrade . . as it is still at 10.1.3. But hey, bug fixes are good. Guess I should have suggested that you check the changelog tab before you did the update . . :wink:

Is this what you mean ? glxinfo | grep "OpenGL"

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: [SOLVED] OpenGL compatiblilty

Post by xdicey »

Yes. that's what I meant. I thought since it was just the 0.6 that's changed, it was that insignificant that the command would not show it; besides it didn't show the 0.4 in the first place anyway.

Code: Select all

xdicey@icymint ~ $ glxinfo | grep "OpenGL"
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Haswell Mobile 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.1.3
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 10.1.3
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
xdicey@icymint ~ $ 
What are these referring to?
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.1.3 --new version?
OpenGL version string: 3.0 Mesa 10.1.3 --old version?
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

Post Reply

Return to “Hardware Support”